Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof.reflect
Class PofValueParser

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.io.pof.reflect.PofValueParser`

All Implemented Interfaces:
  PofConstants

      public abstract class PofValueParser

extends ExternalizableHelper
implements PofConstants

Parses POF-encoded binary and returns an instance of a `PofValue` wrapper for it.

Since:
  Coherence 3.5
Author:
  as 2009.02.12

Field Summary

Fields inherited from interface com.tangosol.io.pof.PofConstants
`J_BIG_DECIMAL, J_BIG_INTEGER, J_BINARY, J_BOOLEAN, J_BOOLEAN_ARRAY, J_BYTE, J_BYTE_ARRAY, J_CHAR_ARRAY, J_CHARACTER, J_COLLECTION, J_DATE, J_DATETIME, J_DOUBLE, J_DOUBLE_ARRAY, J_FLOAT, J_FLOAT_ARRAY, J_INT_ARRAY, J_INTEGER, J_LONG, J_LONG_ARRAY, J_MAP, J_NULL, J_OBJECT_ARRAY, J_QUAD, J_RAW_DATE, J_RAW_DATETIME, J_RAW_DAY_TIME_INTERVAL, J_RAW_TIME, J_RAW_TIME_INTERVAL, J_RAW_YEAR_MONTH_INTERVAL, J_SHORT, J_SHORT_ARRAY, J_SPARSE_ARRAY, J_STRING, J_TIME, J_TIMESTAMP, J_USER_TYPE, MAX_DECIMAL128_SCALE, MAX_DECIMAL128_UNSCALED, MAX_DECIMAL32_SCALE, MAX_DECIMAL32_UNSCALED, MAX_DECIMAL64_SCALE, MAX_DECIMAL64_UNSCALED, MIN_DECIMAL128_SCALE, MIN_DECIMAL32_SCALE, MIN_DECIMAL64_SCALE, T_ARRAY, T_BOOLEAN, T_CHAR, T_CHAR_STRING, T_COLLECTION, T_DATE, T_DATETIME, T_DAY_TIME_INTERVAL, T_DECIMAL128, T_DECIMAL32, T_DECIMAL64, T_FLOAT128, T_FLOAT32, T_FLOAT64, T_IDENTITY, T_INT128, T_INT16, T_INT32, T_INT64, T_MAP, T_OCTET, T_OCTET_STRING, T_REFERENCE, T_SPARSE_ARRAY, T_TIME, T_TIME_INTERVAL, T_UNIFORM_ARRAY, T_UNIFORM_COLLECTION, T_UNIFORM_KEYS_MAP, T_UNIFORM_MAP, T_UNIFORM_SPARSE_ARRAY, T_UNKNOWN, T_YEAR_MONTH_INTERVAL, V_BOOLEAN_FALSE, V_BOOLEAN_TRUE, V_COLLECTION_EMPTY, V_FP_NAN, V_FP_NEG_INFINITY, V_FP_POS_INFINITY, V_INT_0, V_INT_1, V_INT_10, V_INT_11, V_INT_12, V_INT_13, V_INT_14, V_INT_15, V_INT_16, V_INT_17, V_INT_18, V_INT_19, V_INT_2, V_INT_20, V_INT_21, V_INT_22, V_INT_3, V_INT_4, V_INT_5, V_INT_6, V_INT_7, V_INT_8, V_INT_9, V_INT_NEG_1, V_REFERENCE_NULL, V_STRING_ZERO_LENGTH`

Constructor Summary
`PofValueParser()`

Method Summary
`protected static PofValue` | `instantiatePofValue(PofValue valueParent, int nType, ReadBuffer bufValue, PofContext ctx, int of, ReadBuffer.BufferInput in)` Creates a PofValue instance.
`static PofValue` | `parse(ReadBuffer buf, PofContext ctx)` Parses POF-encoded binary and returns an instance of a `PofValue` wrapper for it.
`protected static PofValue` | `parseUniformValue(PofValue valueParent, int nType, ReadBuffer bufValue, PofContext ctx, int of)` Parses a uniform POF-encoded binary and returns an instance of a `PofValue` wrapping the binary.
`protected static PofValue` | `parseValue(PofValue valueParent, ReadBuffer bufValue, PofContext ctx, int of)` Parse a POF-encoded binary and return an instance of a `PofValue` wrapping the binary.

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### PofValueParser

    public PofValueParser()

Method Detail

### parse

    public static PofValue parse(ReadBuffer buf,
                                 PofContext ctx)

  Parses POF-encoded binary and returns an instance of a `PofValue` wrapper for it.
  Parameters:
    `buf` - POF-encoded binary value
    `ctx` - POF context to use
  Returns:
    a `PofValue` instance

### parseValue

    protected static PofValue parseValue(PofValue valueParent,
                                         ReadBuffer bufValue,
                                         PofContext ctx,
                                         int of)

  Parse a POF-encoded binary and return an instance of a `PofValue` wrapping the binary.
  Parameters:
    `valueParent` - parent POF value
    `bufValue` - buffer with POF-encoded binary value
    `ctx` - POF context to use
    `of` - offset of the parsed value from the beginning of the POF stream
  Returns:
    a PofValue instance

### parseUniformValue

    protected static PofValue parseUniformValue(PofValue valueParent,
                                                int nType,
                                                ReadBuffer bufValue,
                                                PofContext ctx,
                                                int of)

  Parses a uniform POF-encoded binary and returns an instance of a `PofValue` wrapping the binary.
  Parameters:
    `valueParent` - parent POF value
    `nType` - type identifier of this POF value
    `bufValue` - POF-encoded binary value without the type identifier
    `ctx` - POF context to use
    `of` - offset of the parsed value from the beginning of the POF stream
  Returns:
    a PofValue instance

### instantiatePofValue

    protected static PofValue instantiatePofValue(PofValue valueParent,
                                                  int nType,
                                                  ReadBuffer bufValue,
                                                  PofContext ctx,
                                                  int of,
                                                  ReadBuffer.BufferInput in)

  Creates a PofValue instance.
  Parameters:
    `valueParent` - parent POF value
    `nType` - type identifier of this POF value
    `bufValue` - POF-encoded binary value without the type identifier
    `ctx` - POF context to use
    `of` - offset of the parsed value from the beginning of the POF stream
    `in` - buffer input to read the value from
  Returns:
    a `PofValue` instance

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.